
#ifndef PORYGONLANG_BOUNDOPERATORS_HPP
#define PORYGONLANG_BOUNDOPERATORS_HPP

namespace Porygon::Binder {
    enum class BoundBinaryOperation {
        Addition,
        Subtraction,
        Multiplication,
        Division,
        Equality,
        Inequality,
        LessThan,
        LessThanEquals,
        GreaterThan,
        GreaterThanEquals,

        LogicalAnd,
        LogicalOr,
        Concatenation
    };

    enum class BoundUnaryOperation {
        Negation,
        LogicalNegation,
    };
}

#endif //PORYGONLANG_BOUNDOPERATORS_HPP
